---
name: Shakarra McGuire
start_date: 2020-01-06
locality: Washington, D.C.
country: USA
role: <a href="/job-families/marketing/sales-development-representative/">Sales Development
  Representative, AMER - Mid-Market</a>
reports_to: meaghanthatcher
picture: ShakarraMcGuire.JPG
twitter: 
gitlab: samcguire
pronouns: she/her
departments:
- Marketing
- Revenue Marketing
- SDR
story: 'Shakarra is a connector. She is empowered by connecting people with information,
  value, and eachother to succeed in a rapidly changing world. Outside of sales, she
  splits her time between food, travel, advocacy on behalf of Black women and girls,
  and all things Beyoncé.

'
